​

Add entity

POST
https://example.kaiten.ru/api/latest/company/groups/{group_uid}/entities
Path parameters
NameTypeReference
group_uidrequiredstringGroup Uid
Headers
NameValue
Content-Typeapplication/json
Attributes
schema
NameTypeConstraintsDescription
entity_uid
required
string

Entity_uid

role_ids
required
array of strings

Roles for these entity in the group

Responses

200
DescriptionResponse typeExample
SuccessObject
Open
Response Attributes
NameTypeDescription
group_id

integer

Group id
entity_uid

string

Entity uid
access_mod

string | null

Access modifier with inheritable access modifiers
own_access_mod

string| null

Own access modifier
role_ids

array of strings

Entity roles ids with inherited roles
own_role_ids

array of strings

Entity role ids
role_permissions

object

Schema
Group entity permissions
400
DescriptionResponse typeExample
Validation errorObject
Open
Response Attributes
NameTypeDescription
message

string

Error message
401
DescriptionResponse typeExample
Invalid tokenString
Open

A schema has not been defined for this response code.

402
DescriptionResponse typeExample
Feature is not supported by tariffObject
Open
Response Attributes
NameTypeDescription
message

string

Error message
403
DescriptionResponse typeExample
ForbiddenResponse body does not exist

A schema has not been defined for this response code.

404
DescriptionResponse typeExample
Not foundResponse body does not exist

A schema has not been defined for this response code.

Examples

How to add entity

{
  "entity_uid": "a52165d4-26cc-4483-a272-edfaeff2b1b2",
  "role_ids": [
    "d582bfcb-cc4b-497d-8546-1652527cfa79"
  ]
}
logo
Kaiten
If you have any questions or need help with integration feel free to write us at support@kaiten.io

Path Parameters

  1  curl --request POST \
  2       --url 'https://example.kaiten.ru/api/latest/company/groups/{group_uid}/entities' \
  3       --header 'Accept: application/json' \
  4       --header 'Content-Type: application/json'
  5      

Response

ClickTry It!to start a request and see the response here!